import React, {useEffect} from 'react';
import Header from './Components/Header';
import './Assets/scss/CV.scss'
import Jobs from './Components/Jobs';
import Education from './Components/Education';
import SideProjects from './Components/SideProjects';
import Languages from './Components/Languages';
import Interests from './Components/Interests';
import Skills from './Components/Skills';
import {Tag, TagCategory} from './Model/tag';
import {Lang} from './Model/lang';
import {EducationYear} from './Model/education';
import {SideProjectCats} from './Model/side-project';
import {JobAtCompany} from './Model/job-at-company';
import {Interest} from './Model/interests';
import {Profile} from './Model/profile';

function CV() {


    document.title = profile.name;

    useEffect(() => {
        let link = document.querySelector("link[rel~='icon']");
        if (!link) {
            link = document.createElement('link');
            // @ts-ignore
            link.rel = 'icon';
            document.getElementsByTagName('head')[0].appendChild(link);
        }
        // @ts-ignore
        link.href = profile.picture
    }, []);

    return (
        <div className="CV">
            <Header tags={tags} profile={profile}/>
            <div className="card flex divide-x divide-gray-600">
                <div className="basis-3/4 pr-2 divide-y divide-gray-400 details">
                    <Jobs jobs={jobs}/>
                    <Education education={ed}/>
                    <SideProjects projs={projs}/>
                </div>
                <div className="basis-1/4 pl-2  divide-y divide-gray-400 details">
                    <Skills tags={tags}/>
                    <Languages langs={langs}/>
                    <Interests interests={interests}/>
                </div>
            </div>
        </div>
    );
}

export default CV;
