import React, {ComponentProps} from 'react';
import {BeakerIcon} from '@heroicons/react/24/outline';
import {SideProjectCats} from '../Model/side-project';

function SideProjects(props: ComponentProps<any>) {
    return (<div className="prose">
        <h3><BeakerIcon className="icon"/> Projets personnels</h3>
        {props.projs.map((proj: SideProjectCats) => {
            return (<div  key={proj.category}>
                <h4>{proj.category}</h4>
                <ul>
                    {proj.projects.map(p => {
                        return (<li  key={p.description}>
                            {p.title ? <div><a href={p.url}>{p.title}</a> {p.description}</div> : <div>{p.description}</div>}
                        </li>)
                    })}
                </ul>
            </div>)
        })}
    </div>);
}

export default SideProjects;
